﻿/** the form elements **/
::-webkit-input-placeholder { /* WebKit, Blink, Edge */ color: rgba(51, 51, 51, 1); font-weight: 400; }
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */ color: rgba(51, 51, 51, 1); font-weight: 400; }
::-moz-placeholder { /* Mozilla Firefox 19 + */ color: rgba(0, 0, 0, 1); font-weight: 400; }
:-ms-input-placeholder { /* Internet Explorer 10-11 */ color: rgba(51, 51, 51, 1); opacity: 1; font-weight: 400; }
:placeholder-shown { /* Standard (https://drafts.csswg.org/selectors-4/#placeholder) */ color: rgba(51, 51, 51, 1); font-weight: 400; }

input[type=checkbox] { /* All browsers except webkit*/ transform: scale(1.3); /* Webkit browsers*/ -webkit-transform: scale(1.3); }
input:required, textarea:required { background-color: #FFF; }
input:required, textarea:required { box-shadow: none; outline: none; }
input:required:focus, textarea:required:focus { /*  border: 1px solid #4FBAE8;*/ background-color: #FFFFCB; outline: none; }

input[type="text"],
input[type="password"] { width: 100%; font-family: 'Open Sans', sans-serif; font-size: 1em; /* 14px */ font-weight: 400; color: #2F5B87; border: none; padding: 8px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }
input[type="radio"] { margin-top: -3px; vertical-align: middle; }

input[type="button"] { width: 100%; font-family: 'Roboto', sans-serif; font-size: 1em; /* 13px */ font-weight: 400; text-transform: uppercase; color: rgba(255, 255, 255, 1); background-color: rgba(51, 51, 51, 0.7); border: none; padding: 10px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; }


select { width: 100%; font-family: 'Open Sans', sans-serif; font-size: 1em; /* 14px */ font-weight: 400; color: #2F5B87; border: none; padding: 8px; box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; -webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px; cursor: pointer; -webkit-appearance: none; -moz-appearance: none; appearance: none; background: url(../images/selectArrow.png) no-repeat 97% 50% #FFF; }

.element .calendario-blu { background-image: url(../images/calendario-blu.png); background-position: 97% 50%; background-repeat: no-repeat; background-size: 23px; }
.element .calendario-blu::-ms-clear { display: none; }

.box-form { clear: both; float: none; display: inline-block; width: 70%; margin-bottom: 0; margin-top: 0.5%; margin-left: auto; margin-right: auto; padding: 0; }

.field-row { width: 100%; height: 100%; overflow: hidden }

.element { margin: 1.5%; clear: none; float: left }
.element-center { float: none; margin-left: auto; margin-right: auto }

.prweb-box-giallo { background: #FCDB9C; border: 1px #FAC056 solid; padding: 5px 0; margin: 10px 10px 10px 10px }
    .prweb-box-giallo p { text-align: left; color: #666666}


/* Calcolo margine(top-bottom): 24 / width% (es: width = 48%  => margine = 24/48 = 0.5%  */
.el-size-loc { margin: 0.9% 1%; width: 98%; }
.el-size-btn { margin: 0.9% 1%; width: 98%; }
.el-size-data { margin: 0.9% 1%; width: 98%; }
.el-size-pass { margin: 0.9% 1%; width: 98%; }

.element .cercabtn { width:98% }

select::-ms-expand { /*fix ie */ display: none; }

.element .cercabtn:hover { background-color: rgba(51, 51, 51, 0.3); -webkit-transition: all .2s ease-in-out; -moz-transition: all .2s ease-in-out; -o-transition: all .2s ease-in-out; transition: all .2s ease-in-out; }

/* Layout tablet portrait: da 481 px a 768 px. Eredita stili da: Layout mobile. */
@media only screen and (min-width: 481px ) {
    .el-size-loc { margin: 0.5% 1%; width: 48%; }
    .el-size-btn { margin: 0.5% 1%; width: 98%; }
    .el-size-data { margin: 0.5% 1%; width: 48%; }
/*    .el-size-pass { margin: 0.5% 1%; width: 31.3%; } */
    .el-size-pass { margin: 0.5% 1%; width: 31.33%; }

    .element .cercabtn { width: 48% }

}

@media only screen and (min-width: 769px ) {
    .el-size-loc { width: 48%; }
    .el-size-btn { width: 98%; }
    .el-size-data { width: 23%; }
/*    .el-size-pass { width: 14.65%; }*/
    .el-size-pass { width: 14.66%; }

}
